Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1565724 - vm reconfigure when quota enabled gets stuck in 'pending' state
Summary: vm reconfigure when quota enabled gets stuck in 'pending' state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Tina Fitzgerald
QA Contact: Anurag
URL:
Whiteboard: testathon
Depends On: 1517112
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 15:25 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
8 users (show)

Fixed In Version: 5.8.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1517112
Environment:
Last Closed: 2018-06-25 14:19:47 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20:21 UTC

Comment 2 CFME Bot 2018-04-10 21:16:04 UTC
New commits detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/bbb2ad6375ac73c98fb5fbcf08fda94be8229bcc
commit bbb2ad6375ac73c98fb5fbcf08fda94be8229bcc
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Dec 14 16:34:13 2017 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Dec 14 16:34:13 2017 -0500

    Merge pull request #16626 from tinaafitz/add_provision_quota_mixin

    Add quota mixin for vm_reconfigure_request and vm_migrate_request.
    (cherry picked from commit 9faa3909f0531b834a09a07d1d8efa9ae5f37b22)

    https://bugzilla.redhat.com/show_bug.cgi?id=1565724

 app/models/vm_migrate_request.rb | 1 +
 app/models/vm_reconfigure_request.rb | 1 +
 2 files changed, 2 insertions(+)


https://github.com/ManageIQ/manageiq/commit/c671109f49ebebae33008a2dddb46439c40c39f8
commit c671109f49ebebae33008a2dddb46439c40c39f8
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Dec 14 16:38:51 2017 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Dec 14 16:38:51 2017 -0500

    Merge pull request #97 from tinaafitz/vm_reconfigure_request_service_model

    Add vm_reconfigure_request service model.
    (cherry picked from commit e8b6ccd6732fe3e9ff4e347670309c7f34bb196c)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1565724

 lib/miq_automation_engine/service_models/miq_ae_service_vm_migrate_request.rb | 2 +
 lib/miq_automation_engine/service_models/miq_ae_service_vm_reconfigure_request.rb | 5 +
 lib/miq_automation_engine/service_models/mixins/miq_ae_service_miq_provision_quota_mixin.rb | 6 +
 3 files changed, 13 insertions(+)

Comment 3 Anurag 2018-04-30 07:40:25 UTC
Hi Team,

This issue is resolved, I have verified this issue on Version 5.8.4.2.20180424224202_be9b69f. Hence changing the status of the BZ from on_qa to verified. Thanks for fixing this issue.

Thanks,
-Anurag

Comment 5 errata-xmlrpc 2018-06-25 14:19:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.